clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
92.3
93.7
95.1
96.5
97.9
99.3
100.7
102.1
103.5
104.9
106.3
107.7
109.1
110.5
111.9
113.3
114.7
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.00142376	0.00141446	0.00140485	0.00139491	0.00138464	0.00137404	0.0013631	0.00135183	0.00134021	0.00132823	0.0013159	0.00130318	0.00129005	0.00127648	0.00126241	0.00124773	0.00123224;
0.00140248	0.00139333	0.00138386	0.00137406	0.00136395	0.00135351	0.00134273	0.00133163	0.00132018	0.00130839	0.00129624	0.00128371	0.00127078	0.00125741	0.00124355	0.00122908	0.00121383;
0.00138184	0.00137282	0.00136349	0.00135384	0.00134387	0.00133358	0.00132297	0.00131202	0.00130075	0.00128913	0.00127715	0.00126481	0.00125207	0.0012389	0.00122524	0.00121099	0.00119596;
0.00136179	0.0013529	0.0013437	0.00133419	0.00132437	0.00131423	0.00130377	0.00129299	0.00128188	0.00127043	0.00125863	0.00124646	0.00123391	0.00122093	0.00120747	0.00119342	0.00117861;
0.00134232	0.00133356	0.00132449	0.00131512	0.00130543	0.00129544	0.00128513	0.0012745	0.00126355	0.00125226	0.00124063	0.00122864	0.00121626	0.00120347	0.0011902	0.00117635	0.00116176;
0.00132339	0.00131475	0.00130582	0.00129657	0.00128703	0.00127718	0.00126701	0.00125653	0.00124573	0.0012346	0.00122314	0.00121131	0.00119911	0.0011865	0.00117342	0.00115977	0.00114538;
0.00130499	0.00129648	0.00128766	0.00127855	0.00126914	0.00125942	0.0012494	0.00123906	0.00122841	0.00121744	0.00120613	0.00119447	0.00118244	0.00117	0.0011571	0.00114365	0.00112945;
0.0012871	0.0012787	0.00127	0.00126102	0.00125173	0.00124215	0.00123226	0.00122207	0.00121157	0.00120074	0.00118959	0.00117809	0.00116623	0.00115396	0.00114124	0.00112796	0.00111397;
0.00126969	0.0012614	0.00125283	0.00124396	0.0012348	0.00122535	0.0012156	0.00120554	0.00119518	0.0011845	0.0011735	0.00116216	0.00115045	0.00113835	0.0011258	0.00111271	0.0010989;
0.00125274	0.00124457	0.00123611	0.00122736	0.00121832	0.00120899	0.00119937	0.00118945	0.00117923	0.00116869	0.00115784	0.00114665	0.0011351	0.00112316	0.00111078	0.00109786	0.00108423;
0.00123624	0.00122818	0.00121983	0.00121119	0.00120228	0.00119307	0.00118358	0.00117379	0.0011637	0.0011533	0.00114259	0.00113155	0.00112015	0.00110837	0.00109615	0.0010834	0.00106995;
0.00122017	0.00121221	0.00120397	0.00119545	0.00118665	0.00117756	0.00116819	0.00115853	0.00114857	0.00113831	0.00112774	0.00111684	0.00110559	0.00109396	0.0010819	0.00106931	0.00105604;
0.00120452	0.00119666	0.00118852	0.00118011	0.00117142	0.00116245	0.0011532	0.00114366	0.00113383	0.0011237	0.00111327	0.00110251	0.0010914	0.00107992	0.00106801	0.00105559	0.00104249;
0.00118926	0.00118149	0.00117346	0.00116516	0.00115658	0.00114772	0.00113859	0.00112917	0.00111947	0.00110947	0.00109916	0.00108854	0.00107757	0.00106624	0.00105448	0.00104222	0.00102928;
0.00117438	0.00116671	0.00115878	0.00115058	0.00114211	0.00113336	0.00112434	0.00111505	0.00110546	0.00109559	0.00108541	0.00107492	0.00106409	0.0010529	0.00104129	0.00102918	0.00101641;
0.00115986	0.0011523	0.00114446	0.00113636	0.001128	0.00111936	0.00111045	0.00110127	0.0010918	0.00108205	0.001072	0.00106164	0.00105094	0.00103989	0.00102842	0.00101646	0.00100385;
0.00114571	0.00113823	0.00113049	0.00112249	0.00111423	0.0011057	0.0010969	0.00108783	0.00107848	0.00106884	0.00105891	0.00104868	0.00103812	0.0010272	0.00101587	0.00100406	0.000991594];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','s',...
    'MarkerEdgeColor','[0.4940 0.1840 0.5560]',...
    'MarkerFaceColor','[0.4940 0.1840 0.5560]')

zlim([0.00095 0.00145])
ylim([92.3E9 114.7E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([92.3E9 96.0E9 100.0E9 105.0E9 110.0E9 114.7E9])
zticks([0.00099 0.00110 0.00120 0.00130 0.00140 0.00145])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - 36Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_36AlDoped_strainenergy_LLZO_48e.eps
print -dpng Highload_36AlDoped_strainenergy_LLZO_48e.png